var root="includes/loggedin_pages";

function filler(category, subcategory, idparse, query){
    $.ajax({
        url     : root+'/pages/forwarder.php',
        type    : 'POST',
        cache   : false,
        data    : "category="+category+"&subcategory="+subcategory+"&idparse="+idparse+"&query="+query,
        success:function(data){
            $("#container").html(data);
        },
    });
    if (category=="logout")
        location.reload();
    return false;
}

function renew_days(start, end, stid){
    $.ajax({
        url     : root+'/forms/daysprogramming.php',
        type    : 'POST',
        cache   : false,
        data    : "start="+start+"&end="+end+'&stid='+stid,
        success:function(data){
            $("#days-programming").html(data);
        },
    });
    return false;
}

function send_friend_request(idparse){
    var ret_value = false;
    $.ajax({
        url     : root+'/pages/friends/send_request.php',
        type    : 'POST',
        cache   : false,
        async   : false,
        data    : "idparse="+idparse,
        success:function(data){
            if(data=="ok")
                ret_value = true;
            else
                ret_value = false;
        },
    });
    return ret_value;
}

function send_request(idparse, element){
    if (send_friend_request(idparse)){
        $(element).attr("data-icon","\uf00c");
        element.setAttribute('title','Έχει ήδη σταλεί αίτημα φιλίας');
        element.removeAttribute('onclick');
        alert("Το αίτητμα στάλθηκε.");
    }
    else
        alert("Παρακαλώ ξαναπροσπαθήστε." + data);
}

function friend_accept(stid){
    $.ajax({
        url     : root+'/pages/friends/friend_accept.php',
        type    : 'POST',
        cache   : false,
        async   : false,
        data    : "stid="+stid,
        success:function(data){
            if(data=="ok"||data=="okok"){
                alert("Δεχτήκατε επιτυχώς τον χρήστη");
                filler('index', '');
                update_notifications();
            }
            else
                alert("Παρακαλώ ξαναπροσπαθήστε." + data);
            if (document.getElementById("friend_act"))
                document.getElementById("friend_act").disabled=false;
        },
    });
    return false;
}

function delete_friend(stid, idparse){
    if(!confirm("Θέλετε να γίνει διαγραφή;"))
        return false;
    $.ajax({
        url     : root+'/pages/friends/delete_friend.php',
        type    : 'POST',
        cache   : false,
        async   : false,
        data    : "stid="+stid+"&idparse="+idparse,
        success:function(data){
            if(data=="ok"||data=="okοκ"){
                alert("Διαγράψατε επιτυχώς τον χρήστη");
                filler('friends', '');
                update_notifications();
            }
            else
                alert("Παρακαλώ ξαναπροσπαθήστε." + data);
            if (document.getElementById("friend_act"))
                document.getElementById("friend_act").disabled=false;
        },
    });
    return false;    
}

function search_friends(){
    if(search_bar.value.replace(/\s/g, '')=='') 
        return false;
    else 
        return filler('friends', 'index', '', document.getElementById("search_bar").value);
}

function cancel_friend(stid){
    $.ajax({
        url     : root+'/pages/friends/cancel_friend.php',
        type    : 'POST',
        cache   : false,
        async   : false,
        data    : "stid="+stid,
        success:function(data){
            if(data=="ok"||data=="okοκ"){
                alert("Ακυρώσατε επιτυχώς το αίτημα");
                filler('friends', 'index');
                update_notifications();
            }
            else
                alert("Παρακαλώ ξαναπροσπαθήστε." + data);
            if (document.getElementById("friend_act"))
                document.getElementById("friend_act").disabled=false;
        },
    });
    return false;
}

function change_icon(element){
    var icon = element.getAttribute("data-icon");
    document.getElementById("selected_icon").setAttribute("data-icon", icon);
    document.getElementById("content").setAttribute("value", icon);
}

function participants(stid){
    $.ajax({
        url     : root+'/pages/trips/participants.php',
        type    : 'POST',
        cache   : false,
        data    : "stid="+stid,
        success:function(data){
            $("#td_participants").html(data);
        },
    });
    return false;
}

function participate(stid, part_action){
    if(!confirm("Είστε σίγουροι;"))
        return false;
    $.ajax({
        url     : root+'/pages/trips/participate.php',
        type    : 'POST',
        cache   : false,
        async   : false,
        data    : "stid="+stid+"&part_action="+part_action,
        success:function(data){
            if(data==="ok"||data==="okok"||data=="okokok"){
                if(part_action==="ignore"){
                    filler('trips', 'index');
                    alert("Το αίτημα αγνοήθηκε.");
                }
                else if(part_action==="unparticipate"){
                    filler('trips', 'index');
                    alert("Απέχετε απο το ταξίδι.");
                }
                else if(part_action==="participate"){
                    $(".for_participate").hide();
                    $(".for_unparticipate").show();
                    showposts('<?=$stid?>');
                    alert("Συμμετάσχετε στο ταξίδι.");
                }
            }
            else
                alert(data);
            update_notifications();
        },
    });
    return false;
}

function conversation(stid, mail_content){
    var ret_value = false;
    $.ajax({
        url     : root+'/pages/mails/conversation.php',
        type    : 'POST',
        cache   : false,
        async   : false,
        data    : "stid="+stid+"&mail_content="+mail_content,
        success:function(data){
            ret_value = true;
            var conv = document.getElementById("conversation"+stid);
            if(!conv)
                return false;
            conv.innerHTML = data;
            conv.scrollTop = conv.scrollHeight;
            setTimeout('conversation("'+stid+'", "")', 3000);
        },
    });
    return ret_value;
}

function showposts(stid){
    var ret_value = false;
    $.ajax({
        url     : root+'/pages/trips/showposts.php',
        type    : 'POST',
        cache   : false,
        async   : false,
        data    : "stid="+stid,
        success:function(data){
            ret_value = true;
            document.getElementById("div_posts").innerHTML = data;
        },
    });
    return ret_value;
}

function posts(stid, post_content){
    var ret_value = false;
    $.ajax({
        url     : root+'/pages/trips/posts.php',
        type    : 'POST',
        cache   : false,
        async   : false,
        data    : "stid="+stid+"&post_content="+post_content,
        success:function(data){
            ret_value = true;
            var conv = document.getElementById("posts"+stid);
            if(!conv)
                return false;
            conv.innerHTML = data;
            conv.scrollTop = conv.scrollHeight;
            setTimeout('posts("'+stid+'", "")', 3000);
        },
    });
    return ret_value;
}

function index_posts(stid, idparse, post_content){
    var ret_value = false;
    $.ajax({
        url     : root+'/pages/index/posts.php',
        type    : 'POST',
        cache   : false,
        async   : false,
        data    : "stid="+stid+"&idparse="+idparse+"&post_content="+post_content,
        success:function(data){
            ret_value = true;
            var conv = document.getElementById("d"+idparse);
            if(!conv)
                return false;
            else if(conv.offsetParent === null)
                return false;
            conv.innerHTML = data;
            setTimeout('index_posts("'+stid+'", '+idparse+')', 3000);
        },
    });
    return ret_value;
}


function object_count(stid){
    $.ajax({
        url     : root+'/pages/trips/object_counter.php',
        type    : 'POST',
        cache   : false,
        async   : false,
        data    : "stid="+stid,
        success:function(data){
            document.getElementById("td_trip_objects").innerHTML = data;
        },
    });
    return false;
}

function show_objects(stid){
    $.ajax({
        url     : root+'/pages/trips/objects.php',
        type    : 'POST',
        cache   : false,
        async   : false,
        data    : "stid="+stid,
        success:function(data){
            document.getElementById("trip_objects").innerHTML = data;
        },
    });
    return false;
}

function update_for_obj(stid){
    show_objects(stid);
    object_count(stid);
}

function delete_msg(idparse, stid){
    var ask = confirm("Είστε σίγουροι για την διαγραφη;");
    if(ask){
        $.ajax({
            url     : root+'/pages/mails/actions.php',
            type    : 'POST',
            cache   : false,
            async   : false,
            data    : "stid="+stid+"&idparse="+idparse+"&action=delete_msg",
            success:function(data){
                alert(data);
            },
        });
        return filler('mails', '');
    }
}

function check_set(){
    var ask = confirm("Είστε σίγουροι για την ενημέρωση;");
    if(ask)
        return true;
    else{
        document.getElementById("updatebutton").disabled = false;
        return false;
    }
}

function check_trip(){
    var tripname = document.getElementById("name").value;
    if (tripname.length==0){
        alert("Παρακαλώ συμπληρώστε όνομα ταξιδίου");
        document.getElementById("save_button").disabled = false;
        return false;
    }
    else
        return true;
}

function delete_shedule(stid){
    var ask = confirm("Είστε σίγουροι για την διαγραφη;");
    if(ask){
        document.getElementById("save_button").disabled = true;
        $.ajax({
            url     : root+'/pages/trips/actions.php',
            type    : 'POST',
            cache   : false,
            async   : false,
            data    : "stid="+stid+"&action=delete_shedule"
        });
        document.getElementById("end_date").onchange();
        return true;
    }
    else
        return false;
}